Subject: bug#1072: Viper version is 3.14 of April 06, 2008; can't exit viper insert mode with ESC using emacsclient -t

From: Michael Kifer <[email-masked]>
Date: Tue, 7 Oct 2008 12:28:32 -0400

On Tue, 7 Oct 2008 15:49:50 +0100
Stefano Zacchiroli <[email-masked]> wrote:

> Does this blink some light? (Or maybe explains that the bug is not at
> all related to Viper and need to be looked for in some emacsclient
> detail?)

Turns out I was using an old version of emacsclient.
Something in emacsclient unbinds ESC.
I am sure it is and emacsclient problem. I don't see how
it can be a viper's problem.

My hunch is that emacsclient -t somehow ignores the minor-mode-map-alist or
does something strange with it.

michael